=== debian/changelog ===
jskeus (1.2.4+dfsg-3) unstable; urgency=medium

  * fix reproducible bug (Closes: #966179)

 -- Kei Okada <kei.okada@gmail.com>  Mon, 21 Dec 2020 02:35:48 +0000

jskeus (1.2.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Jul 2020 13:35:52 +0200

jskeus (1.2.4+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #960845)

 -- Kei Okada <kei.okada@gmail.com>  Sat, 16 May 2020 03:21:02 +0000
