=== debian/control ===
Source: jskeus
Section: lisp
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper-compat (=13), libgl1-mesa-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev, pkg-config, libbullet-dev, euslisp-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/euslisp/jskeus
Vcs-Git: https://salsa.debian.org/science-team/jskeus.git
Vcs-Browser: https://salsa.debian.org/science-team/jskeus

Package: jskeus
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, libbullet-dev, euslisp
Suggests: jskeus-doc
Description: Lisp based intelligent robots programming system
 jskeus contains software developed and used by JSK at The University
 of Tokyo. This provides modeling classes for sensors, actuators and
 robot body as well as kinematics and dynamics function library for
 writing intelligent robot behaviors. It also contains graph data
 strucutre, point cloud data class, Bullet collision detection, BVH
 character animation, STL/WRL/DAE reader and writer and some
 extensions to EusLisp language
 .
 This package contains the irteus/irteusgl executable and accompanying
 demo files.
 
Package: jskeus-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, euslisp-dev, jskeus
Description: Development files of Lisp based  intelligent robots programming system
 jskeus-dev provides C language headers and C and Lisp source files
 for developping jskeus based modulse.
 .
 This package contains *eusdir*/jskeus/{*.l, *.c, *.h, test}

Package: jskeus-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Manuals and Documentations of jskeus programming system
 jskeus-doc contains various README and pdf version of manual of
 jskeus as known as jmanual. This also includes EusLisp manual.
 .
 This package contains the documentation of jskeus
