## jskeus 1.2.6+dfsg

=== irteus/Makefile ===
--- 
+++ 
@@ -88,10 +88,12 @@
   BULLETLIB=`pkg-config bullet --libs`
 endif
 
+PNG_CFLAGS=`pkg-config libpng --cflags`
+
 MODULES.L=irt_modules.l
 EUSLIB_MODULES.L=$(addprefix $(EUSDIR)/lib/,$(MODULES.L))
 
-IRTEUS=irtmath irtutil irtgraph pgsql time
+IRTEUS=irtmath irtutil irtgraph gnuplotlib pgsql time
 IRTEUSG=irtgeo pqp bullet irtcollision irtscene irtmodel irtsensor irtdyna irtrobot irtbvh irtcollada irtpointcloud irtstl irtwrl
 IRTEUSX=irtx
 IRTEUSIMG=irtimage eusjpeg png
@@ -261,8 +263,7 @@
 $(INSTALLOBJDIR)/irtviewer.$(OSFX): irtviewer.l
 $(INSTALLOBJDIR)/irtimage.$(OSFX): irtimage.l
 $(INSTALLOBJDIR)/irtcollision.$(OSFX): irtcollision.l
+$(INSTALLOBJDIR)/gnuplotlib.$(OSFX): gnuplotlib.l
 $(INSTALLOBJDIR)/pqp.$(OSFX): pqp.l
 $(INSTALLOBJDIR)/bullet.$(OSFX): bullet.l
 $(INSTALLOBJDIR)/png.$(OSFX): png.l
-$(INSTALLOBJDIR)/pgsql.$(OSFX): $(EUSDIR)/lib/llib/pgsql.l
-$(INSTALLOBJDIR)/time.$(OSFX): $(EUSDIR)/lib/llib/time.l
