=== debian/changelog ===
jskeus (1.2.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    Closes: #1096878.
  [ Santiago Vila ]
  * Update lintian overrides.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 22 Sep 2025 20:20:00 +0200

jskeus (1.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.6+dfsg
   #1069313 causes .c file installed via euslisp-dev,
    which is resolved in EusLisp-9.30
   see https://github.com/euslisp/EusLisp/pull/509
   (Closes: #1069313)
   update debian/patches/fix-make-clean.patch for #1048840
   (Closes: #1048840)

 -- Kei Okada <kei.okada@gmail.com>  Tue, 17 Dec 2024 11:23:32 +0900
