=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@

execute_before_dh_auto_configure:
	sed -i.orig s/@@DEB_HOST_MULTIARCH@@/${DEB_HOST_MULTIARCH}/ $(CURDIR)/irteus/irtext.l

execute_before_dh_clean:
	mv  $(CURDIR)/irteus/irtext.l.orig  $(CURDIR)/irteus/irtext.l || true
