## jskeus 1.2.7%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kei Okada <kei.okada@gmail.com>
-Build-Depends: debhelper-compat (=13), libgl1-mesa-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev, pkg-config, libbullet-dev, euslisp-dev
+Build-Depends: debhelper-compat (=13), libgl-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev, pkgconf, libbullet-dev, euslisp-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/euslisp/jskeus
 Vcs-Git: https://salsa.debian.org/science-team/jskeus.git
 Vcs-Browser: https://salsa.debian.org/science-team/jskeus
