=== debian/changelog ===
jskeus (1.2.7+dfsg-2) unstable; urgency=medium

  * Revert "Build with -std=gnu17 to workaround FTBFS with GCC 15. Closes: #1096878."

 -- Kei Okada <kei.okada@gmail.com>  Wed, 01 Oct 2025 09:49:10 +0900

jskeus (1.2.7+dfsg-1) unstable; urgency=medium

  [ Kei ]
  * New upstream version 1.2.7+dfsg
  update prototype definition for gcc-15
  (Closes: #1096878)
  update debian/patches for jskeus 1.2.7
  (see https://github.com/euslisp/jskeus/pull/650)

 -- Kei Okada <kei.okada@gmail.com>  Tue, 23 Sep 2025 17:29:58 +0900
