=== debian/tests/control ===
Tests: jskeus-test
Depends: jskeus, shunit2

Tests: jskeus-all-test
Depends: @, shunit2
