=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%jskeus-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
    https://github.com/euslisp/jskeus/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
